Vous êtes nouveau sur Developpez.com ? Créez votre compte ou connectez-vous afin de pouvoir participer !

Vous devez avoir un compte Developpez.com et être connecté pour pouvoir participer aux discussions.

Vous n'avez pas encore de compte Developpez.com ? Créez-en un en quelques instants, c'est entièrement gratuit !

Si vous disposez déjà d'un compte et qu'il est bien activé, connectez-vous à l'aide du formulaire ci-dessous.

Identifiez-vous
Identifiant
Mot de passe
Mot de passe oublié ?
Créer un compte

L'inscription est gratuite et ne vous prendra que quelques instants !

Je m'inscris !

Sondage : Quelle version de Java utilisez vous principalement ?

Le , par Ricky81

28PARTAGES

0  0 
Quelle version de Java utilisez vous principalement ?
Bonjour,

Nous renouvelons l'initiative du sondage de la version de Java utilisée par nos membres. Vous pouvez trouver le précédent sondage couvrant 2008 dans les archives.

Profitez en pour apporter votre témoignage en précisant pour quelle version vous avez voté, les raisons de ce vote (avantages, inconvénients, contraintes, ...) ainsi que vos intentions pour le proche avenir.

Quelques liens :
Réflexions sur nouveautés à venir pour Dolphin (Java SE 7)
Les nouveautés de Mustang (Java SE 6)
Les nouveautés de Tiger (Java SE 5)

Une erreur dans cette actualité ? Signalez-le nous !

Avatar de loka
Rédacteur https://www.developpez.com
Le 05/01/2009 à 10:38
Java SE 5 pour ma part, pas de raison particulières, c'est simplement la version qu'on utilise au boulot. Sachant que j'utilise très peu java chez moi, je n'ai pas encore eu l'occasion de tester les versions supérieures.

Par contre ce qui m'a poussé à passer de la 1.4 à Tiger chez moi c'est en grande partie grace aux Generics.
0  0 
Avatar de natha
Membre expert https://www.developpez.com
Le 06/01/2009 à 9:43
Java 6. Tout simplement parce que c'est la dernière version stable et que je suis responsable de la migration des versions de Java chez nous.
Par ailleurs nous faisons du Swing et Java 6 offre des fonctionnalités Desktop permettant de se passer des librairies JDIC. Je ne parle même pas du gain de performances, ce serait dommage de s'en priver, entre Java 5 et Java 6.

Petite critique par contre sur la gestion de la modalité des JDialog qui peut mener à des problème de libération mémoire de ceux-ci (peut-être corrigé dans les dernières releases mais pour le moment on est sur la Java6_06 et on utilise un workaround global).
0  0 
Avatar de Uther
Expert éminent sénior https://www.developpez.com
Le 06/01/2009 à 12:35
Java 6 & 5. Java 6 pour tous les projets ou je le peux car il commence a être bien déployé et que ça serait bête de se passer des améliorations quand la compatibilité ascendante est très bien assurée.

Java 5 pour les appplis web du boulot. Les applis web professionelles sont toujours avec un temps de retard sur la techno dispo mais depuis quelque temps on a enfin du java 5 généralisé.
0  0 
Avatar de afrikha
Membre chevronné https://www.developpez.com
Le 06/01/2009 à 13:03
Java 5 pour le boulot. Sinon Java 6 chez moi pour préparer la certification SCJP 6.
étant donné que j'utilise pas mal swing, java 6 est appréciable à bien des sujets.
0  0 
Avatar de sinok
Expert éminent sénior https://www.developpez.com
Le 06/01/2009 à 13:54
Java 5 au boulot (pour le peu que je fais niveau java), java 6 en tout autre occasion (job perso, joujou & cie)
0  0 
Avatar de nabodix
Membre régulier https://www.developpez.com
Le 09/01/2009 à 20:48
bonsoir..
désolé, mais j'ai pas bien saisis l'utilité de rester délibérément à une version antérieure?

PS:on peut pas modifier son vote? comment feront tous les utilisateur de java6 quand ils passeront à java7 ?
0  0 
Avatar de gifffftane
Membre émérite https://www.developpez.com
Le 10/01/2009 à 12:17
Citation Envoyé par nabodix Voir le message
PS:on peut pas modifier son vote? comment feront tous les utilisateur de java6 quand ils passeront à java7 ?
Nous relançons le sondage tous les ans. c'est ce que tu peux voir en lisant LE PREMIER post
0  0 
Avatar de nabodix
Membre régulier https://www.developpez.com
Le 10/01/2009 à 12:58
oui oui, j'avais vu ;-)

Mais ma remarque était sur le fait que: la majorité des gens sont sur Java 6 (pour des raisons de progrès, curiosité, mise à jour automatique,.. ), et quand java 7 sera la prochaine version stable, et bien tout ces gens passeront probablement à java 7 (pour les mêmes raisons). On peut donc se retrouver en fin d'année avec une majorité gens qui ont voté java 6 mais qui ont plus utilisé java 7..

Une solution serait (par exemple), ne pas faire de sondage par année mais entre deux nouvelles versions (ainsi le sondage montrerait qui est "en retard/accroché à d'anciennes version" qui est "à jour" ou "bêta testeur", .. ce qui serait (selon moi) plus intéressant..)

Mais vraiment c'était qu'une petite remarque sans importance (à la quel je réagis, mais juste pcq j'aime pas les fessées ), je voulais pas créer de problèmes
0  0 
Avatar de MrCba
Membre régulier https://www.developpez.com
Le 16/01/2009 à 1:00
J'utilise :
Java SE 6 > Chez moi pour mes navigateurs
Java SE 5 > Pour du développement personelle et aux boulots
J2SE 1.4 > Aux boulots

Mais du coup je dois voter quoi ?
0  0 
Avatar de fabszn
Membre expérimenté https://www.developpez.com
Le 16/01/2009 à 7:53
Hello,

Mon application tourne auourd'hui sous la version 1.4... je suis entrain d'effectuer la migration vers la 1.5 (voir 1.6) enfin...!
0  0